Skip to Content
Booking

Create promo code

Toegang

Lid van de organisatie met dit recht:

  • organization:settings:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

POST
/orgs/{organizationId}/booking/promo-codes

Adds a discount code for the booking widget.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
code*string
Length2 <= length <= 40
description?|null
percentage?|null
amount?|null
validFrom?|null
validTo?|null
stayFrom?|null
stayTo?|null
minNights?integer
Range1 <= value <= 365
Default1
maxNights?|null
checkInWeekdays?array<>
Itemsitems <= 7
Default[]
terrainTypeIds?array<>
Itemsitems <= 100
Default[]
maxUses?|null
maxUsesPerCustomer?|null
firstBookingOnly?boolean
Defaultfalse
appliesToExtras?boolean
Defaultfalse
appliesToTouristTax?boolean
Defaultfalse
enabled?boolean
Defaulttrue

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//booking/promo-codes' \  -H 'Content-Type: application/json' \  -d '{  "code": "string"}'
Example Response
null